from pynb import NBTFile
import gzip
import csv
import os
import datetime
now = datetime.datetime.now()
now = now.strftime("%Y-%m-%d-%H-%M-%S")

unzipfile = os.path.join(os.path.dirname(os.path.abspath(__file__)), '../../data/command_storage_colo.dat')
unzipedfile = now + 'commands_list.mcfunction'
target= 'TAG_String(None): \''

os.chdir(os.path.dirname(os.path.abspath(__file__)))
with gzip.open(unzipfile, 'rb') as rf:    
    nbt = NBTFile(rf)
    nbtpretty = nbt.pretty()

with open(unzipedfile, 'wt', encoding="utf-8") as wf:
    lines = [line.strip() for line in nbtpretty.split('\n')]
    commandsline = "\n".join([line.replace(target, '').rstrip('\'') for line in lines if line.startswith(target)])
    wf.writelines(commandsline)
